%global momorel 2

Name:         xenner
License:      GPLv2+
Version:      0.46
Release:      %{momorel}m%{?dist}
Summary:      Xen emulator for kvm
Group:        Applications/Emulators
Source0:      http://dl.bytesex.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:       %{name}-noidlestats.diff
URL:          http://kraxel.fedorapeople.org/xenner/
Requires:     xen-runtime
Provides:     xen-hypervisor-abi = 3.2
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: %{ix86} x86_64
BuildRequires: xen-devel
BuildRequires: e2fsprogs-devel
BuildRequires: libaio-devel
BuildRequires: zlib-devel
BuildRequires: python util-linux-ng
BuildRequires: /usr/include/gnu/stubs-32.h


%description
xenner is a utility which is able to boot xen paravirtualized kernels,
without the xen hypervisor, using kvm instead.

%prep
%setup -q
%patch0 -p0

%build
%ifarch x86_64
# get rid of -fPIC to fix build on x86_64
# xenner-0.46-2m and gcc-4.3.3-6m
%global optflags `echo %{optflags} | sed s/-fPIC//`
%endif

export CFLAGS="%{optflags}"
CFLAGS="${CFLAGS//-fstack-protector/}"	# incompatible
make prefix="%{_prefix}"

%install
rm -rf %{buildroot}
make prefix="%{_prefix}" DESTDIR=%{buildroot} STRIP="" initdir=%{buildroot}%{_initscriptdir} install
chmod 644 vivm # make rpmlint happy (this goes to %doc)

%files
%defattr(-,root,root)
%doc COPYING
%doc README USAGE TODO MANAGEMENT NETWORKING GUEST_SUPPORT
%doc Testinstall vivm *.xml *.html *.css
%dir %{_libdir}/xenner
%{_initscriptdir}/xenner
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/xenner/*

%post
chkconfig --add xenner

%preun
if test "$1" = "0"; then
    chkconfig --del xenner
fi

%clean
rm -rf %{buildroot}

%changelog
* Mon Jun  8 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.46-2m)
- fix build on x86_64

* Sun May 31 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.46-1m)
- sync with Fedora 11 (0.46-6)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.29-2m)
- rebuild against rpm-4.6

* Tue May  6 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.29-1m)
- import from Fedora

* Fri Apr 11 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.29-1.fc9
- update to version 0.29
  - merge Daniels fixes.
  - fixed init script translation tagging (rhbz #438106).
  - fixed missing bits to make f9 pv_ops kernel boot (rhbz #439010).
  - add -bootloader cmd line option, add docs (rhbz #435061).
  - use kvms in-kernel lapic/ioapic for irqs and events.
  - use separate threads for I/O handling and vcpus.
- fixed cr4 setup for mmx/sse support (rhbz #441902).

* Wed Mar 12 2008 Daniel P. Berrange <berrange@redhat.com> - 0.25-5.fc9
- Use ifname= arg to get TAP device name
- Detect and ignore the -k option & its arg

* Wed Feb 27 2008 Daniel P. Berrange <berrange@redhat.com> - 0.25-4.fc9
- Fix TUN device detection (rhbz #435131)
- Don't capture stderr to hardcoded logfile (rhbz #435137)
- Workaround for missing xc_map_foreign_pages API (rhbz #435158)
- Fix detection of libxenctrl compat for PVFB 

* Mon Feb 4 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.25-3.fc9
- adapt dependencies for xen package split.
* Fri Feb 1 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.25-2.fc9
- buildfix (add memset to emu).
* Fri Feb 1 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.25-1.fc9
- update to version 0.25.
  - fix soname for xen 3.2.0 compatibility.
  - fix xenstored sigbus.
  - lot of core reorganization, preparing for SMP.
* Fri Jan 25 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.23-1.fc9
- update to version 0.23.
  - new -libvirt-caps cmd line switch.
* Wed Jan 23 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.22-4.fc9
- add util-linux-ng build dependency.
* Wed Jan 23 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.22-3.fc9
- drop kernel-devel build dependency.
* Wed Jan 23 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.22-2.fc9
- fix rpmlint warning on vivm script.
- add ExclusiveArch for x86.
- fix filelist (package should own $libdir/xenner).
- fix preun to handle upgrades correctly.
* Tue Jan 22 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.22-1.fc9
- initial release.
